Get
/cmsFrameworks/get
Returns the stored framework, including its content and variables.
Query parameters
frameworkId
integer (int64) Required
The numeric ID of the framework.
Responses
200
The framework.
Example response:
{
"id": 9070,
"name": "Newsletter layout",
"description": "One-column newsletter",
"content": "<html><body><div data-block-area=\"main\">#tplBlockArea(\"main\")</div></body></html>",
"tags": "newsletter",
"encoding": "UTF-8",
"imageHandlingMode": "none",
"lifecycleStatus": "ACTIVE",
"status": "WORKINPROGRESS",
"variables": "{\"defaultBGColor\": {\"id\": \"def-bgColor\", \"name\": \"Default Background Color\", \"type\": \"text\", \"value\": \"#FFFFFF\", \"group\": \"System Defaults\", \"order\": 1, \"inline\": \"false\"}, \"imagetype\": {\"id\": \"314f6ef8-37df-470a-beea-6b630832df29\", \"name\": \"Image Link Settings\", \"type\": \"list\", \"value\": \"withlink\", \"options\": {\"Image w/ URL\": \"withlink\", \"Image w/o URL\": \"nolink\"}, \"group\": \"Variables\", \"order\": 2, \"inline\": \"false\"}}",
"createDate": 1792998000000,
"modifyDate": 1793001600000,
"version": 2,
"copiedFromId": null
}
object
id
integer (int64)
name
string
description
string
content
string
tags
string
encoding
string
imageHandlingMode
string
Valid values[
"host",
"inline",
"none"
]
lifecycleStatus
string
Valid values[
"ACTIVE",
"ARCHIVED"
]
status
string
Valid values[
"FINISHED",
"WORKINPROGRESS"
]
variables
string
createDate
integer (int64)
modifyDate
integer (int64)
version
integer (int32)
copiedFromId
integer (int64)
400
Error. All errors are returned as HTTP 400; errorCode in the body says what went wrong: INVALID_PARAMETER or MISSING_PARAMETER (a parameter is missing or invalid), NO_SUCH_OBJECT (no object with this ID in your account), PERMISSION_DENIED (your user lacks the CMS permission for this action), UNEXPECTED_ERROR (backend error). Example: {"errorActor": "CLIENT", "errorCode": "NO_SUCH_OBJECT", "message": "...", "objectType": null, "propertyName": null, "propertyValue": null}